//실국별 실과 디스플레이
var obj1;
obj1 = null;
function buseoDisplay(value){
	var obj2;
	var sum=0;
	if(obj1 != null){
		obj1.style.display = "none";
	}
	for (var j = 0; j < address1.options.length; j++) {
		if (address1.options[j].selected == true) {
			sum = j;
		}
	}
	obj2 = eval("select_"+address1.options[sum].value);
	obj2.style.display = "block";
	obj1 = obj2;
}
//보낼사람 추가1(구성원)
function memAdd(frame){	
	var field = frame.document.mem_list.check;//buseo_mem.document.mem_list.check;
	var opt = list_rec.length;
	//alert(field.length);
	if(field != null){
		if(field.length == null){
			if(field.checked == true){
				list_rec.options[opt] =  new Option(field.value, field.value);
			}
		}else{
			for (i = 0; i < field.length; i++){
				opt = list_rec.length;
				if(field[i].checked == true){
					list_rec.options[opt] =  new Option(field[i].value, field[i].value);
				}
			}
		}
	}
	//alert(list_rec.value);
}
//보낼사람 추가2(리스트)
function memAdd_2(selObj, type){
var opt = selObj.length;
	if(M_sms == "9"){
		alert("권한이 없습니다.\n\n");
	}else{
		for(i = 0; i < selObj.length; i++){
			opt = list_rec.length;
			if(selObj.options[i].selected == true){
				var chk = false;
				for(j = 0;j < opt; j++){
					if(list_rec.options[j].value == type+";"+selObj.options[i].value){
						chk = true;
					}
				}
				if(chk == false){
					list_rec.options[opt] =  new Option(type+";"+selObj.options[i].text, type+";"+selObj.options[i].value);
				}else{
					if(confirm("추가내용중에 중복된 코드["+selObj.options[i].text+"]값이 있습니다.\n\n추가하시겠습니까?")){
						list_rec.options[opt] =  new Option(type+";"+selObj.options[i].text, type+";"+selObj.options[i].value);
					}
				}


			}
		}
	}
}
function sMasterAdd(){
	var chk = false;
	for(j = 0;j < list_rec.length; j++){
		if(list_rec.options[j].value == "A;전체"){
			chk = true;
		}
	}
	if(chk == false){
		if (confirm("전체구성원이 추가됩니다.\n\n추가하시겠습니까?")){
			add("A;전체","A;전체");
		}
	}else{
		if(confirm("추가내용중에 중복된 코드[전체]값이 있습니다.\n\n추가하시겠습니까?")){
			add("A;전체","A;전체");
		}
	}
	return;
}



function sMasterAdd2(){
	var chk = false;
	for(j = 0;j < list_rec.length; j++){
		if(list_rec.options[j].value == "E;부서전체"){
			chk = true;
		}
	}
	if(chk == false){
		if (confirm("부서전체구성원이 추가됩니다.\n\n추가하시겠습니까?")){
			add("E;부서전체","E;부서전체");
		}
	}else{
		if(confirm("추가내용중에 중복된 코드[전체]값이 있습니다.\n\n추가하시겠습니까?")){
			add("E;부서전체","E;부서전체");
		}
	}
	return;
}


//값받아서 바로 추가
function add(text, value){
	var opt = list_rec.length;
	list_rec.options[opt] =  new Option(text, value);
}

//보낼사람 삭제
function memDel(){
	var selnum = 0;
	 for (var j = 0; j < list_rec.options.length; j++) {
		 if ( list_rec.options[j].selected == true) {
			selnum = selnum + 1
		 }
	 }

	 if (selnum > 0) {
		for (var i = 0; i <  list_rec.options.length; i++) {
			var opt =  list_rec.options[i];
			if ((opt.selected == true) && (opt.value != 0)) {
				list_rec.options[i] = null;	
				i = i - 1;
			}
		}  // end of for

	 }else {
		//alert("삭제할 사람이 선택되지 않았습니다.")
		return;
	 }  // end of if
}
//보낼사람 삭제(전체)
function memDelAll(){
	var selnum = 0;
	for (var i = 0; i < list_rec.options.length; i++) {
		var opt =  list_rec.options[i];
		if (list_rec.options[i].value != "0") {
			list_rec.options[i] = null;
			i = i - 1;
		}
	}
}


//전체선택, 전체해재 셀렉트리스트
function selectAll(selObj, type){
var opt = selObj.length;
	for(i = 0; i < selObj.length; i++){
		selObj.options[i].selected = type;
	}
}
//전체선택 체크박스
function chkAll(chkObj, type){
	var field = chkObj;//buseo_mem.document.mem_list.check;	
	if(field.length == null){
		field.checked = type;
	}else{
		for (i = 0; i < field.length; i++){
			field[i].checked = type;
		}
	}
}
function memSelect(bdm_idx, table, frame){
	var obj = document.getElementById(frame);
	obj.src ='buseo_list.asp?bdm_idx='+bdm_idx+'&table='+table;
}
//전화번호 체크
function addDash(obj) {
	var sNoDashNumber = "";											//'-'를 제거한 번호를 저장하는 변수
	sNoDashNumber	= removeDash(obj);
	var iLen		= getLeng(sNoDashNumber);

	if (event.keyCode != 8) {
		switch (iLen) {
			case 0:
			case 1:
			case 2:
				break;
			case 3:
				break;
			case 4:
			case 5:
			case 6:
			case 7:
			case 8:
			case 9:
			case 10:
				obj.value  = sNoDashNumber.substring(0,3) + "-" + sNoDashNumber.substr(3,3) + "-" + sNoDashNumber.substr(6,4) ;
				break;
			case 11:
				obj.value  = sNoDashNumber.substring(0,3) + "-" + sNoDashNumber.substr(3,4) + "-" + sNoDashNumber.substr(7,4) ;
				break;
			//default :
			//	alert(NO_NUMBER_RE_INPUT);								//"없는 번호입니다. 다시 입력해 주세요"
			//	obj.value  = sNoDashNumber.substring(0,4) + "-" + sNoDashNumber.substr(4,4) ;
		}
	}
}
//dash를 제거한다.
function removeDash(obj) {

	var sNoDashNumber = "";												// '-'을 제거한 번호를 저장할 변수
	var i = 0;															
	
	for (i = 0; i < obj.value.length; i++) {
		if ((obj.value).charAt(i) != "-") {
			sNoDashNumber += (obj.value).charAt(i);
		}
	}

	return sNoDashNumber;
}


//스트링값을 받아서 바이트 수를 체크한다.
function getLeng(sMessage) {
	var iCount = 0 ;													//메시지의 바이트를 저장하는 변수
	for (var i = 0; i < sMessage.length; i++) {							// 0-127 1byte, 128~ 2byte
		if ( sMessage.charCodeAt(i) > 127) {
			iCount += 2;
		}
		else {
			iCount++;
		}
	}
	return iCount;
}

function add_input(mobile) {
	
	
	opt_num = mobile.length;
	txt = mobile.value;
	txt1 = txt.substr(0,3);
	if( (txt1 != "011") && (txt1 != "016") && (txt1 != "017") && (txt1 != "018") && (txt1 != "019") && (txt1 != "010") ) {
		alert ("이통사번호가 잘못 되었습니다.");
		mobile.focus();
		return;
	}else if( (txt.length < 10) || (txt.length > 13)  ) {
		alert ("올바르지 않은 휴대폰 번호입니다.");

		//str_replace("-","",변수명) 0~99,999,999
		mobile.focus();
		return;
	}
	
	add("M"+";개인추가;"+txt, "M"+";noname;"+txt);
	mobile.value='';
}

function add_input2(mobile) {
	
	
	opt_num = mobile.length;
	txt = mobile;
	txt1 = txt.substr(0,3);
	if( (txt1 != "011") && (txt1 != "016") && (txt1 != "017") && (txt1 != "018") && (txt1 != "019") && (txt1 != "010") ) {
		//alert ("이통사번호가 잘못 되었습니다.");
		//mobile.focus();
		return;
	}else if( (txt.length < 10) || (txt.length > 13)  ) {
		//alert ("올바르지 않은 휴대폰 번호입니다.");

		//str_replace("-","",변수명) 0~99,999,999
		//mobile.focus();
		return;
	}
	
	add("M"+";개인추가;"+txt, "M"+";noname;"+txt);
	mobile.value='';
}
function add_input3(mobile) {
	
	
	opt_num = mobile.length;
	txt = mobile;
	txt1 = txt.substr(0,3);
	if( (txt1 != "011") && (txt1 != "016") && (txt1 != "017") && (txt1 != "018") && (txt1 != "019") && (txt1 != "010") ) {
		//alert ("이통사번호가 잘못 되었습니다.");
		//mobile.focus();
		//return;
	}else if( (txt.length < 10) || (txt.length > 13)  ) {
		//alert ("올바르지 않은 휴대폰 번호입니다.");

		//str_replace("-","",변수명) 0~99,999,999
		//mobile.focus();
		//return;
	}
	
	add("M"+";개인추가;"+txt, "M"+";noname;"+txt);
	mobile.value='';
}






function Addr_grp_add(){
	var addtext = null;
	var addValue = null;
	var chk = false;

	for(i = 0; i < jusoGrp.length; i++){
		if(jusoGrp.options[i].selected == true){
			addtext		= "B;"+jusoGrp.options[i].text;
			addValue	= "B;"+jusoGrp.options[i].value;
		}
	}
	if(addtext != null && addValue != null){

		for(j = 0;j < list_rec.length; j++){
			if(list_rec.options[j].value == addValue){
				chk = true;
			}
		}
		if(chk == false){
			add(addtext, addValue);
		}else{
			if(confirm("추가내용중에 중복된 코드["+addtext+"]값이 있습니다.\n\n추가하시겠습니까?")){
				add(addtext, addValue);
			}
		}
	}
}

function resizeIframe(fr) {
fr.setExpression('height',aaa.document.body.scrollHeight);
//fr.setExpression('width',aaa.document.body.scrollWidth);
}

function EnterCheck(obj){

	if(event.keyCode ==13){
		add_input(mobile);
		return;
	}
}

function msgPrint(msg,top,left,width){
	span_msg.innerHTML = msg;
	layerMsg.style.left = left;
	layerMsg.style.top = top;
	layerMsg.style.width = width;
	layerMsg.style.display = "block";
}
function msgPrintOut(){
	layerMsg.style.display = "none";
}


//--------------문자 바이트 체크------------------
function updateChar(length_limit)
{
	var form = document.getElementById("frmMsg");
	var length = calculate_msglen(form.message.value);
	textlimit.innerText = length;
	
	if (length > length_limit) {
		var limit_chk = true;

		if( length_limit == 80 ){
			if(confirm("80byte를 초과하였습니다. 장문전송으로 전환하시겠습니까?")){
				changeLimit( 2000 );
				limit_chk = false;
			}else{
				form.message.value = form.message.value.replace(/\r\n$/, "");
				form.message.value = assert_msglen(form.message.value, length_limit);
			}
		}

		if(limit_chk){
			alert("최대 " + length_limit + "byte이므로 초과된 글자수는 자동으로 삭제됩니다.");
			form.message.value = form.message.value.replace(/\r\n$/, "");
			form.message.value = assert_msglen(form.message.value, length_limit);
		}

	}
}
//--------------문자열 자르기------------------
function assert_msglen(message, maximum)
{
	var inc = 0;
	var nbytes = 0;
	var msg = "";
	var msglen = message.length;

	for (i=0; i<msglen; i++) {
		var ch = message.charAt(i);
		if (escape(ch).length > 4) {
			inc = 2;
		} else if (ch == '\n') {
			if (message.charAt(i-1) != '\r') {
				inc = 1;
			}
		} else if (ch == '<' || ch == '>') {
			inc = 4;
		} else {
			inc = 1;
		}
		if ((nbytes + inc) > maximum) {
			break;
		}
		nbytes += inc;
		msg += ch;
	}
	textlimit.innerText = nbytes;
	return msg;
}
function calculate_msglen(message)
{
	var nbytes = 0;
	for (i=0; i<message.length; i++) {
		var ch = message.charAt(i);
		if(escape(ch).length > 4) {
			nbytes += 2;
		} else if (ch == '\n') {
			if (message.charAt(i-1) != '\r') {
				nbytes += 1;
			}
		} else if (ch == '<' || ch == '>') {
			nbytes += 4;
		} else {
			nbytes += 1;
		}
	}

	return nbytes;
}
function setCleanMsg(){
	if(document.getElementById("frmMsg").message.value == '메세지를 입력하세요!'){
		document.getElementById("frmMsg").message.value = '';
	}
}


//특수문자----------------------
function etcChar(){

	if ((obj=MM_findObj('schar'))!=null) {
		if (obj.style) {
			obj=obj.style;
		}
		if(x > 898){
			obj.left = 900;
		}else{
			obj.left = x-100;
		}
		obj.top  = y;
		MM_showHideLayers('schar','','show')
	}
}
//특수문자끝----------------------


//80바이트 제한 변경(장문발송)
function changeLimit( limit ){
	$("#message").data("limit", limit);
	$("#span_limit").text( limit );
	$("#mms_chk").val( "Y" );
}